<%@ taglib uri='/WEB-INF/templates/jsp/tld/template.tld' prefix='jetspeed' %>
<%@ page import = "org.apache.turbine.util.Log,java.util.*,skyrix.*,java.text.DateFormat" %>
<%
  try 
  {
	ArrayList appointments = (ArrayList) request.getAttribute("appointments");
	String skyrix_link = (String)request.getAttribute("skyrix_link");
	int actLines = ((Integer)request.getAttribute("act_lines")).intValue();
	int iLines = ((Integer)request.getAttribute("lines")).intValue();
    boolean next = ((Boolean)request.getAttribute("hasNext")).booleanValue();
    boolean prior = ((Boolean)request.getAttribute("hasPrior")).booleanValue();

    if (appointments != null && appointments.size()>0) 
    {
%>
 <table border="0" cellspacing="0" width="100%">
  <tr style="background-color:#769BDF">
   <th align="left">title</th>
   <th align="left">startdate</th>
   <th align="left">location</th>
  </tr>
<%
  	  Iterator it = appointments.iterator();
	  while (it.hasNext())
	  {
	    Appointment ap = (Appointment)it.next();
	    Locale loc = new Locale("de","DE");
		DateFormat df = DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.SHORT, loc);
		String title = "&nbsp;";
		if (ap.getTitle().length() > 0) title = ap.getTitle();
        String oid = ap.getID().substring(ap.getID().lastIndexOf("/")+1, ap.getID().length());
%>
  <tr style="background-color:#D7DFF6">
   <td align="left"><a href="<%=skyrix_link%>?oid=<%=oid%>" target="Skyrix-Window" style="text-decoration:none;color:blue;font-size:9pt"><%=title%></a></td>
   <td style="color:blue" align="left"><%=df.format(ap.getStartDate())%></td>
   <td style="color:blue" align="left"><%=ap.getLocation()%></td>
  </tr>
<%
	  }
%>
 </table>
<%
	  if (next || prior)
      {
        int oldLines = actLines - 2*iLines ;
        if (oldLines < 0) oldLines = 0;
%>
 <table align="right">
  <tr>
<%
	    if (prior)
        { 
%>
   <td>
    <form method="post" name="priorAppointmentForm" action="<jetspeed:dynamicUri/>">
     <input type="hidden" name="act_lines" value="<%=oldLines%>">
     <input type="submit" name="submit_prior" value="prior"/>
    </form>
   </td>
<%
        }
        if (next)
        {
%>
   <td>
    <form method="post" name="nextAppointmentForm" action="<jetspeed:dynamicUri/>">
     <input type="hidden" name="act_lines" value="<%=actLines%>">
     <input type="submit" name="submit_next" value="next"/>
    </form>
   </td>
<%
		}
%>
  </tr>  
 </table>
<%
      } 
    }
    else
	{
%>
 <h4>There are no appointments.</h4>
<%
	}
  }
  catch (Exception e)
  {
    Log.error(e);
    return;
  }
%>
